GET/nav/{identifier}/history
Advanced or higher

NAV history for a single instrument

NAV history for one instrument.

Code samples

curl -X GET 'https://api.tickerapp.net/v2/nav/<identifier>/history' \
  -H 'x-api-key: $TICKER_API_KEY'

Try it

Try it live
Send a real request to this endpoint with your API key. Sign in to try it from your browser.
Sign in to try →

Parameters

Path parameters

identifierrequired
string

ISIN (12 chars) or MIC:symbol.

Query parameters

dateFrom
string

Filter data from this date (partial ISO8601).

dateTo
string

Filter data to this date (partial ISO8601).

pageSize
integer
Default: 50
pageNumber
integer
Default: 1

Responses

200NAV history for the instrument
{
  "instrument": {
    "isin": string
  },
  "entity": {
    "name": string
  },
  "listing": {
    "symbol": string | null,
    "mic": string
  },
  "data": [NavHistoryPoint],
  "meta": {
    "paging": ClassicPaging
  }
}
404Instrument not found